class UtilException(Exception):
    """There was an ambiguous exception."""


class UtilTypeError(UtilException):
    """Type error."""


class UtilRuntimeError(UtilException):
    """Runtime error."""


class UtilPathError(UtilException):
    """Path error."""


class UtilValueError(UtilException, ValueError):
    """Value error."""
